<?php
if($this->session->userdata('is_logged_in')===FALSE){
			redirect('login');
}

foreach ($template->result() as $template){
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}

$url = base_url("resources/template/akta/perdata_agama/".$filename.".rtf");
$Template = file_get_contents($url);
//=============================================roby======================================================
$agamaPemohon = '..............';
$pekerjaanPemohon = '..............';
$pendidikanPemohon = '..............';
$alasanTMS = '..............';
$tglTMS = '..............';
$perkara = $dataTemplate;
foreach ($perkara->result() as $perkara) {
			$nomorPerkara = $perkara->nomor_perkara;			
			$namaPemohon = $this->templatehelper->standradnaming($perkara->namaPihak);
			$alamatPemohon = $this->templatehelper->standradnaming($perkara->alamatPihak);
			$agamaPemohon = $perkara->agamaPihak;
			$pekerjaanPemohon = $this->templatehelper->standradnaming($perkara->pekerjaanPihak);
			$pendidikanPemohon = $perkara->pendidikanPihak;			
			$umurPemohon = $this->tanggalhelper->getSelisihTahun($perkara->tanggalLahirPihak,date('Y-m-d'));			
			$namaSatker = $this->templatehelper->standradnaming($perkara->namaPengadilan);
			$namaPanitera = $this->templatehelper->standradnaming($perkara->pw);
			$tahapan = $this->templatehelper->standradnaming($perkara->Tahapan);
			$noPerkaraTahapan = $this->templatehelper->standradnaming($perkara->nomorPerkaraTahapan);
			$tglPutusTahapan = $this->templatehelper->convertKeTglIndo($perkara->putusan);
			$statusPanitera = $this->templatehelper->standradnaming($perkara->pejabat);
			$tglpermohonan_kasasi = $this->templatehelper->convertKeTglIndo($perkara->permohonan_kasasi);
			$hariPermohonanKasasi = $this->templatehelper->getHari($perkara->permohonan_kasasi);
			$statusAsalPemohon = $perkara->pihak_asal_text;
			$statusPemohonKasasi = $perkara->status_pihak_text;
			$alasanTMS = $perkara->catatan_putusan_kasasi;
			$tglTMS = $this->templatehelper->convertKeTglIndo($perkara->tidak_memenuhi_syarat);
 }
 
//==============================================================================//
#Insert Into Dokumen#
$Template = str_replace('#nomorPerkara#',''.$nomorPerkara.'',$Template);
$Template = str_replace('#namapanitera#',''.$namaPanitera.'',$Template);
$Template = str_replace('#namaSatker#',''.$namaSatker.'',$Template);
$Template = str_replace('#jenisputusan#',''.$tahapan.'',$Template);
$Template = str_replace('#nomorputusan#',''.$noPerkaraTahapan.'',$Template);
$Template = str_replace('#tanggalputusan#',''.$tglPutusTahapan.'',$Template);
$Template = str_replace('#statuspanitera#',''.$statusPanitera.'',$Template);
$Template = str_replace('#tanggalkasasi#',''.$tglpermohonan_kasasi.'',$Template);
$Template = str_replace('#harikasasi#',''.$hariPermohonanKasasi.'',$Template);
$Template = str_replace('#alasanTMS#',''.$alasanTMS.'',$Template);
$Template = str_replace('#tglTMS#',''.$tglTMS.'',$Template);
$Template = str_replace('#namakota#',''.$this->templatehelper->namaKotaPA($namaSatker).'',$Template);

if ($statusPanitera == "Panitera Sekretaris"){
	$Template = str_replace('#jabatanpansek#','Panitera',$Template);
}else{
	$Template = str_replace('#jabatanpansek#','a.n. Panitera',$Template);
}

$Template = str_replace('#namaPemohon#',''.$namaPemohon.'',$Template);
$Template = str_replace('#umurPemohon#',''.$umurPemohon.'',$Template);
$Template = str_replace('#agamaPemohon#',''.$agamaPemohon.'',$Template);
$Template = str_replace('#pekerjaanPemohon#',''.$pekerjaanPemohon.'',$Template);
$Template = str_replace('#pendidikanPemohon#',''.$pendidikanPemohon.'',$Template);
$Template = str_replace('#alamatPemohon#',''.$alamatPemohon.'',$Template);


$statusPemohon='';
$statusPemohon .= 'nama '.$namaPemohon.', umur '.$umurPemohon.' tahun, agama '.$agamaPemohon.', pekerjaan '.$pekerjaanPemohon.', pendidikan terakhir '.$pendidikanPemohon.', tempat tinggal/kediaman '.$alamatPemohon.', ';
if($jenisAkta==20 OR $jenisAkta==22 OR $jenisAkta==24){
	$statusPemohon .= ' sebagai '.$statusPemohonKasasi.' kasasi';
}else{
	$statusPemohon .= ' dahulu '.$statusAsalPemohon.' sekarang '.$statusPemohonKasasi.' kasasi';
}
$Template = str_replace('#statusPemohon#',''.$statusPemohon.'',$Template);

//===============================================================================//
if($dataKuasaPemohon!=''){
	if($dataKuasaPemohon->num_rows>0){
		foreach ($dataKuasaPemohon->result() as $kuasa) {
			$kuasapemohon = $kuasa->pemohon_nama.', umur '.$this->tanggalhelper->getSelisihTahun($kuasa->tanggal_lahir,date('Y-m-d')).' tahun, agama '.$kuasa->agama.', pekerjaan '.$kuasa->pekerjaan.', pada kantor .................. yang beralamat di '.$kuasa->alamat;
			$pihakdiwakili = $kuasa->pihakdiwakili;
			$tglkuasa = $this->templatehelper->convertKeTglIndo($kuasa->pemohon_tanggal_surat);
			$namakuasa = $this->templatehelper->standradnaming($kuasa->pemohon_nama);
		}
		$Template = str_replace('#kuasapemohon#',''.$kuasapemohon.'',$Template);
		$Template = str_replace('#namakuasa#',''.$namakuasa.'',$Template);
		$Template = str_replace('#pihakdiwakili#',''.$pihakdiwakili.'',$Template);
		$Template = str_replace('#tglkuasa#',''.$tglkuasa.'',$Template);
	}
}
//===============================================================================//
$pemohonkasasi = '';
$looppemohonkasasi = '';
$i=0;
if($dataPemohonKasasi!=''){
	if($dataPemohonKasasi->num_rows>0){
		foreach ($dataPemohonKasasi->result() as $pemohon) {
			$pemohonkasasi .= $this->templatehelper->standradnaming($pemohon->pihak_nama).' dahulu '.$pemohon->pihak_asal_text.' sekarang '.$pemohon->status_pihak_text.' '.($pemohon->urutan_kasasi>1 ? $this->templatehelper->converToAngkaRomawi($pemohon->urutan_kasasi):'').' ; '.($pemohon->urutan_kasasi>1 ? ' \\par ':'');
			$looppemohonkasasi .= $this->templatehelper->standradnaming($pemohon->pihak_nama).', umur '.$this->tanggalhelper->getSelisihTahun($pemohon->tanggal_lahir,date('Y-m-d')).' tahun, agama '.$pemohon->agama.', '; 
			$looppemohonkasasi .= 'pekerjaan '.$pemohon->pekerjaan.', pendidikan terakhir '.$pemohon->pendidikan.', tempat tinggal/kediaman '.$pemohon->alamat.' ';
			$looppemohonkasasi .= 'sebagai '.$pemohon->status_pihak_text.' kasasi '.($pemohon->urutan_kasasi>1 ? $this->templatehelper->converToAngkaRomawi($pemohon->urutan_kasasi):'').' ; '.($pemohon->urutan_kasasi>1 ? ' \\par ':'');
			$i++;
		}
		$Template = str_replace('#loopingpemohon#',''.$pemohonkasasi.'',$Template);
		$Template = str_replace('#looppemohonkasasi#',''.$looppemohonkasasi.'',$Template);
	}
}

$termohonkasasi = '';
$looptermohonkasasi = '';
$i=0;
if($dataTermohonKasasi!=''){
	if($dataTermohonKasasi->num_rows>0){
		foreach ($dataTermohonKasasi->result() as $termohon) {
			$namatermohon = $this->templatehelper->standradnaming($termohon->pihak_nama);
			$termohonkasasi .= $this->templatehelper->standradnaming($termohon->pihak_nama).' dahulu '.$termohon->pihak_asal_text.' sekarang '.$termohon->status_pihak_text.' '.($termohon->urutan_kasasi>1 ? $this->templatehelper->converToAngkaRomawi($termohon->urutan_kasasi):'').' ; '.($termohon->urutan_kasasi>1 ? ' \\par ':'');
			$looptermohonkasasi .= $this->templatehelper->standradnaming($termohon->pihak_nama).', umur '.$this->tanggalhelper->getSelisihTahun($termohon->tanggal_lahir,date('Y-m-d')).' tahun, agama '.$termohon->agama.', '; 
			$looptermohonkasasi .= 'pekerjaan '.$termohon->pekerjaan.', pendidikan terakhir '.$termohon->pendidikan.', tempat tinggal/kediaman '.$termohon->alamat.' ';
			$looptermohonkasasi .= 'sebagai '.$termohon->status_pihak_text.' kasasi '.($termohon->urutan_kasasi>1 ? $this->templatehelper->converToAngkaRomawi($termohon->urutan_kasasi):'').' ; '.($termohon->urutan_kasasi>1 ? ' \\par ':'');
			$i++;
		}
		$Template = str_replace('#loopingtermohon#',''.$termohonkasasi.'',$Template);
		$Template = str_replace('#namatermohon#',''.$namatermohon.'',$Template);
		$Template = str_replace('#looptermohonkasasi#',''.$looptermohonkasasi.'',$Template);
	}
}

$Template = str_replace("#TGL_SEKARANG#",$this->templatehelper->convertKeTglIndo(date('Y-m-d')),$Template);
$Template = str_replace("#HARI_INI#",$this->templatehelper->gethari(date('Y-m-d')),$Template);

header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"".$namafile."-".$nomorPerkara.".rtf\"");
echo $Template;
?>
